package com.zbkj.service.wangshang.api.domain.model;

import com.zbkj.service.wangshang.api.domain.RequestBody;
import com.zbkj.service.wangshang.api.domain.RespInfo;

import javax.xml.bind.annotation.*;

/**
 *ant.mybank.merchantprod.merchant.arrangement.info.query
 * */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name ="body")
public class MerchantprodMerchantArrangementInfoQueryResponseModel extends RequestBody {


    private static final long serialVersionUID = -6653139574677847541L;

    /**
     * 返回码组件
     */
    @XmlElementRef
    private RespInfo respInfo;

    /**
     * 合约号
     */
    @XmlElement(name = "ArrangementNo")
    private String arrangementNo;

    /**
     * 合约状态
     */
    @XmlElement(name = "Status")
    private String status;


    public RespInfo getRespInfo() {
        return respInfo;
    }

    public void setRespInfo(RespInfo respInfo) {
        this.respInfo = respInfo;
    }

    public String getArrangementNo() {
        return arrangementNo;
    }

    public void setArrangementNo(String arrangementNo) {
        this.arrangementNo = arrangementNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}